package ub.scp2.dao;

import java.util.List;

import ub.scp2.entities.Subject;

public interface SubjectDao {

	public List<Subject> getSubjects();
	public void saveSubject(Subject subject);
	public void deleteSubject(Subject subject);
	public void updateSubject(Subject subject);
	public Subject getSubjectById(Long subjectId);
	public boolean subjectTitleExist(String subjectTitle);
	
}
